LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 07-07-2009, 03:22 AM   #1
ericcarlson
Member
 
Registered: Jan 2002
Posts: 161

Rep: Reputation: 30
yum update fails after FC6->FC9->FC11 upgrade on MySQL-server rpm


Dunno what went wrong here - I just did 3 servers, all of which were running FC6, via FC9 (because I read FC6->FC11 directly isn't as smooth otherwise) and 2 worked without a hitch whereas the 3rd did, but on the first yum update gave conflicts on just MySQL-server. This might have had mysql installed on it when it was running FC6, and that was before it started being included in the distros so would have been done manually.

Heres the log with a few things I tried - anyone got a hint please?

Transaction Summary
==================================================================================================== ==================================================================================================== =======
Install 25 Package(s)
Update 389 Package(s)
Remove 0 Package(s)

Total size: 922 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /usr/share/mysql/charsets/README from install of mysql-libs-5.1.35-1.fc11.i586 conflicts with file from package MySQL-server-5.0.37-0.i386
file /usr/share/mysql/charsets/Index.xml from install of mysql-libs-5.1.35-1.fc11.i586 conflicts with file from package MySQL-server-5.0.37-0.i386
file /usr/share/mysql/charsets/armscii8.xml from install of mysql-libs-5.1.35-1.fc11.i586 conflicts with file from package MySQL-server-5.0.37-0.i386

[root@zeppelin tmp]# yum erase MySQL-server
Loaded plugins: refresh-packagekit
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package MySQL-server.i386 0:5.0.37-0 set to be erased
--> Processing Dependency: mysql-server for package: akonadi
--> Running transaction check
---> Package akonadi.i586 0:1.1.2-1.fc11 set to be erased
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: kdepim
--> Processing Dependency: libakonadiprotocolinternals.so.1 for package: kdepimlibs-akonadi
--> Processing Dependency: akonadi >= 1.1.1 for package: kdepimlibs-akonadi
--> Running transaction check
---> Package kdepim.i586 6:4.2.2-3.fc11 set to be erased
--> Processing Dependency: kdepim = 6:4.2.2-3.fc11 for package: kdepim-libs
---> Package kdepimlibs-akonadi.i586 0:4.2.2-3.fc11 set to be erased
--> Processing Dependency: libakonadi-kabc.so.4 for package: kdepimlibs-devel
--> Processing Dependency: libakonadi-kde.so.4 for package: kdepimlibs-devel
--> Processing Dependency: libakonadi-kmime.so.4 for package: kdepimlibs-devel
--> Processing Dependency: kdepimlibs-akonadi = 4.2.2-3.fc11 for package: kdepimlibs-devel
--> Running transaction check
---> Package kdepim-libs.i586 6:4.2.2-3.fc11 set to be erased
---> Package kdepimlibs-devel.i586 0:4.2.2-3.fc11 set to be erased
--> Processing Dependency: kdepimlibs-devel for package: kdesdk-devel
--> Running transaction check
---> Package kdesdk-devel.i386 0:4.0.3-5.fc9 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================== ==================================================================================================== =======
Package Arch Version Repository Size
==================================================================================================== ==================================================================================================== =======
Removing:
MySQL-server i386 5.0.37-0 installed 32 M
Removing for dependencies:
akonadi i586 1.1.2-1.fc11 installed 1.5 M
kdepim i586 6:4.2.2-3.fc11 installed 23 M
kdepim-libs i586 6:4.2.2-3.fc11 installed 21 M
kdepimlibs-akonadi i586 4.2.2-3.fc11 installed 903 k
kdepimlibs-devel i586 4.2.2-3.fc11 installed 1.6 M
kdesdk-devel i386 4.0.3-5.fc9 installed 40 k

Transaction Summary
==================================================================================================== ==================================================================================================== =======
Install 0 Package(s)
Update 0 Package(s)
Remove 7 Package(s)

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
kdepim-libs is needed by (installed) kdepim-devel-6:3.5.9-9.fc9.i386
Complete!


[root@zeppelin tmp]# rpm -e MySQL-server
error: Failed dependencies:
mysql-server is needed by (installed) akonadi-1.1.2-1.fc11.i586
[root@zeppelin tmp]#

[root@zeppelin tmp]# rpm -e akonadi
error: Failed dependencies:
libakonadiprotocolinternals.so.1 is needed by (installed) kdepimlibs-akonadi-4.2.2-3.fc11.i586
libakonadiprotocolinternals.so.1 is needed by (installed) kdepim-6:4.2.2-3.fc11.i586
akonadi >= 1.1.1 is needed by (installed) kdepimlibs-akonadi-4.2.2-3.fc11.i586
[root@zeppelin tmp]#
 
Old 07-08-2009, 01:06 PM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 12,602

Rep: Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677Reputation: 1677
i am VERY surprised that 2 worked .going from 6 to 11 SHOULD NOT work
fedora 6 filesysten is ext3
fedora 11 filesystem is ext4 ( boot is still ext3)

f6 's boot inode is 128 bit
f11's is 256 bit

there also have been many package RENAMES since fedora 6
and some deprecated packages

i would DO A FRESH CLEAN INSTALL of fedora 11 after reformatting the drive.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Upgrade FC10 to FC11 failed: left yum/rpm unusable Doug Hutcheson Fedora - Installation 16 08-09-2009 07:30 PM
Upgrading from FC6 to FC9 via yum zaljereck Fedora - Installation 2 07-23-2008 03:21 PM
# yum --enablerepo=updates-testing update ./kdelibs-4.0.5-2.fc9.i386.rpm 'kde*' cfo Linux - Newbie 2 06-17-2008 04:08 PM
How does yum (or rpm or other pm) update/upgrade in use packages engineman Linux - Software 2 09-26-2007 12:06 PM
FC6 Upgrade, update then fails to boot saywot Fedora 1 10-28-2006 06:36 AM


All times are GMT -5. The time now is 02:34 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration